## haskell-raaz 0.2.1

=== mans/Makefile ===
MAN_PAGES=raaz.1  # Which man pages to generate.
MAN_PAGES_GZ= $(addsuffix .gz, ${MAN_PAGES})
MAN_SOURCES= $(addsuffix .md, ${MAN_PAGES})

.PHONY: all clean

all: ${MAN_PAGES_GZ}
clean:
	rm -f ${MAN_PAGES} ${MAN_PAGES_GZ}

${MAN_PAGES_GZ}:%.gz:%
	gzip $<
${MAN_PAGES}:%:%.md
	pandoc -s  $< -t man -o $@

## haskell-raaz 0.0.2

=== debian/changelog ===
haskell-raaz (0.0.2-3) unstable; urgency=medium

  [ Sean Whitton ]
  * Add attribution to Satvik Chauhan to d/copyright.

  [ Clint Adams ]
  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:41 -0400

haskell-raaz (0.0.2-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 20:15:37 -0400

haskell-raaz (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #838156).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Sep 2016 20:27:12 -0700

=== debian/control ===
Source: haskell-raaz
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hspec-dev <!nocheck>,
 libghc-hunit-dev (>= 1.2) <!nocheck>,
 libghc-mtl-dev (>= 2.1),
 libghc-mtl-prof,
 libghc-quickcheck2-dev <!nocheck>,
 libghc-vector-dev,
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-mtl-doc,
 libghc-vector-doc,
Standards-Version: 3.9.8
Homepage: http://github.com/raaz-crypto/raaz
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-raaz
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
X-Description: cryptographic networking library for Haskell
 Raaz uses strong typing to eliminate some common errors that occur in
 cryptographic settings, such as side channel attacks.
 .
 This package implements basic types and cryptographic primitives like
 hashes, macs etc. Actual network protocols are expected to use this
 library.  Common abstractions, such as packet parsing, are part of
 this library.

Package: libghc-raaz-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-raaz-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-raaz-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-raaz 0.1.1

=== debian/changelog ===
haskell-raaz (0.1.1-2build1) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 04:23:18 +0000

haskell-raaz (0.1.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 06:47:53 +0100

haskell-raaz (0.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Install new 'raaz' utility in new haskell-raaz-utils binary package.
  * Add missing versioned build-dep on dpkg-dev.
    We are using <!nocheck>.
  * Override extra-license-file for Copying.dyn_hi.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Mar 2017 15:04:45 -0700

haskell-raaz (0.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Update path in d/libghc-raaz-dev.examples.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Feb 2017 19:34:24 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-raaz
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Priority: extra
@@ -7,6 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
+ dpkg-dev (>= 1.17.14),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -87,3 +89,21 @@
  ${haskell:LongDescription}
  .
  ${haskell:Blurb}
+
+Package: haskell-raaz-utils
+Architecture: any
+Section: utils
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Conflicts:
+ ${haskell:Conflicts},
+Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
+ ${haskell:LongDescription}
+ .
+ ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/raaz/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-raaz 0.2.0

=== debian/changelog ===
haskell-raaz (0.2.0-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Sean Whitton ]
  * Stop trying to install no longer existent Checksum.lhs (Closes: #903111).
    Thanks Peter Green for the report.
  * Start installing new example Rand.lhs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Jul 2018 19:07:37 +0100

haskell-raaz (0.2.0-2) unstable; urgency=medium

  * Patch for hspec-discover.

 -- Clint Adams <clint@debian.org>  Sat, 14 Apr 2018 12:19:06 -0400

haskell-raaz (0.2.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:53:13 -0400

## haskell-raaz 0.2.1

=== debian/changelog ===
haskell-raaz (0.2.1-2build3.1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:54:28 +0200

haskell-raaz (0.2.1-2build3) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:35:35 +0000

haskell-raaz (0.2.1-2build2) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:08:35 +0000

haskell-raaz (0.2.1-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 17:26:39 +0200

haskell-raaz (0.2.1-2) unstable; urgency=medium

  * Sourceful upload for GHC 8.8
  * Patch for newer base

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 23 Jun 2020 15:47:05 +0300

haskell-raaz (0.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #928174).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 06 Oct 2019 08:17:46 -0700

haskell-raaz (0.2.0-4) unstable; urgency=medium

  * Sourceful upload for ghc-8.4.3 (haddock-interface-33)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:18:53 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 10),
@@ -14,19 +15,19 @@
  haskell-devscripts (>= 0.13),
  libghc-hspec-dev <!nocheck>,
  libghc-hunit-dev (>= 1.2) <!nocheck>,
- libghc-mtl-dev (>= 2.1),
- libghc-mtl-prof,
- libghc-quickcheck2-dev <!nocheck>,
+ libghc-quickcheck2-dev (>= 2.4) <!nocheck>,
+ libghc-vector-dev (>= 0.7.1),
+ libghc-vector-dev (<< 0.13),
+ libghc-vector-prof,
+ libghc-optparse-applicative-dev (>= 0.10.0),
  libghc-vector-dev,
- libghc-vector-prof,
-Build-Depends-Indep:
- ghc-doc,
- libghc-mtl-doc,
+ hspec-discover,
+Build-Depends-Indep: ghc-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.8
-Homepage: http://github.com/raaz-crypto/raaz
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-raaz
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Standards-Version: 4.5.0
+Homepage: https://github.com/raaz-crypto/raaz
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-raaz
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-raaz]
 X-Description: cryptographic networking library for Haskell
  Raaz uses strong typing to eliminate some common errors that occur in
  cryptographic settings, such as side channel attacks.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CABAL_PACKAGE = raaz
DEB_DEFAULT_COMPILER = ghc
DEB_ENABLE_TESTS = yes
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-raaz-utils:: build-ghc-stamp
